/**
 * Copyright 2020 Cohesity Inc.
 *
 * Author : Qing Wan
 *
 * Query bs_key of backupset which contains spfile by looking up
 * backup set and backup file
 *
 */

define task_id = &3
define common_path = '&5'
@"&common_path/common.sql"
select /*+ RULE*/
  bs.BS_KEY
from V$BACKUP_SET_DETAILS bs, V$BACKUP_SPFILE bsp
where (bs.SESSION_RECID, bs.SESSION_STAMP) in (
      select /*+ RULE*/distinct SESSION_RECID, SESSION_STAMP
      from V$RMAN_STATUS
      where command_id='&task_id') and
      bs.SET_STAMP = bsp.SET_STAMP and
      bs.SET_COUNT = bsp.SET_COUNT
order by bs.BS_KEY;
quit;
