/**
 * Copyright 2020 Cohesity Inc.
 *
 * Author : Chenyao
 *
 * Return backup information from RMAN_STATUS.
 *
 * This will return all backup summary information
 *
 */
define task_id = &3
define common_path = '&5'
@"&common_path/common.sql"
define date_format = 'HH24:MI:SS'
select /*+ RULE*/
  to_char(cast(MIN(START_TIME) as timestamp), '&date_format'),
  to_char(cast(MAX(END_TIME) as timestamp), '&date_format'),
  ROUND((MAX(END_TIME) - MIN(START_TIME)) * 86400),
  SUM(INPUT_BYTES),
  SUM(OUTPUT_BYTES)
from V$RMAN_STATUS
where command_id='&task_id' and ROW_LEVEL=1;
quit;
