/**
 * Copyright 2019 Cohesity Inc.
 *
 * Author: Soumya Poddar
 *
 * Following clears stats from the fixed tables. The reason for this is a bug
 * (Bug 16412588) in the Oracle side which causes RMAN process to hang, and it
 * does not come out even after RMAN operations are completed.
 *
 * For more info please see Oracle Doc 1643339.1
 */
define common_path = '&5'
exec dbms_stats.delete_table_stats('SYS', 'X$KRBMRST');
exec dbms_stats.delete_table_stats('SYS', 'X$KSFQP');
exec dbms_stats.delete_table_stats('SYS', 'X$KCCRSR');
/*
 * Currently commenting the locking the table start portion.
 * as this could be a disruptive operation.
 *
 * exec dbms_stats.lock_table_stats('SYS', 'X$KRBMRST');
 * exec dbms_stats.lock_table_stats('SYS', 'X$KSFQP');
 * exec dbms_stats.lock_table_stats('SYS', 'X$KCCRSR');
 */
execute sys.dbms_backup_restore.resetCfileSection(28);
select name from v$database;
quit;
