/**
 * Copyright 2019 Cohesity Inc.
 *
 * Author : Mahesh K
 *
 * Fetches the information about a given PDB.
 */
define common_path = '&5'
@"&common_path/common.sql"

/* Setting auto print to on as this will print the select outputs to stdout. */
SET AUTOPRINT ON;

/* Refcursor to iterate and print the result set. */

var v_rc refcursor;
DECLARE
    /* Declare required variables here. */
    V_CDB   varchar(3);
BEGIN
    /* Query if it is cdb or not. */
    SELECT /*+ RULE*/ CDB into V_CDB FROM V$DATABASE;
    IF V_CDB = 'YES' THEN
      /* Select required PDB information and print the output to custor. */
      OPEN :v_rc FOR
          select /*+ RULE*/
              DBID,
              NAME,
              TOTAL_SIZE,
              OPEN_MODE
              FROM V$PDBS;
      ELSE
          /* Print empty value if not a cdb. */
          OPEN :v_rc for 'select * from dual where 0=1';
    END IF;
END;
/
quit;
