/**
 * Copyright 2018 Cohesity Inc.
 *
 * Author : Vivek Velankar
 *
 * Fetches the progress for each channel for the corresponding command ID and
 * provides an aggregated output.
 */
define common_path = '&5'
define sid_list = &3
define session_id_list = &6

@"&common_path/common.sql"

SELECT /*+ RULE*/
opname,s1,s2,
(SELECT /*+ RULE*/ SUM(BYTES) from V$datafile) df_sz,
(SELECT /*+ RULE*/ ROUND(AVG(BLOCK_SIZE)) from V$datafile) df_block_sz,
(SELECT /*+ RULE*/ COALESCE(NULLIF(SUM(BLOCKS), 0), 0) from V$ARCHIVED_LOG where
    BACKUP_COUNT=0 and
    upper(STANDBY_DEST)='NO' and
    upper(STATUS)!='D' and
    upper(DELETED)='NO' and
    upper(ARCHIVED)='YES') arch_block,
(SELECT /*+ RULE*/ BLOCK_SIZE from V$ARCHIVED_LOG where rownum=1) arch_block_sz
FROM
(SELECT /*+ RULE*/ opname,sum(sofar) s1, sum(TOTALWORK) s2 FROM
GV$SESSION_LONGOPS
WHERE
SID in (&sid_list) and
SERIAL# in (&session_id_list) and
TOTALWORK != 0 and
CONTEXT = 1 and
(opname like '%incremental datafile backup%' or
opname like '%incremental datafile restore%' or
opname like '%archived log backup%' or
opname like '%datafile copy%') group by opname);
quit;
