#!/bin/bash
# Copyright 2018 Cohesity Inc.
#
# Author: Vivek Velankar
#
# This is a wrapper script to run srvctl command w.r.t. Oracle home.
#
# Example usage : $0 <ORACLE_HOME> bin/srvctl status database -d rac12db

if [ -z $1 ]; then
  echo "Error: empty oracle home."
  exit 1
fi

export ORACLE_HOME=$1
export NLS_DATE_FORMAT='DD:MM:YYYY-HH24:MI:SS'

if [ -z $2 ]; then
  echo "Error: srvctl relative path not set"
  exit 1
fi

if [ -z $3 ] || [ -z $4 ] || [ -z $5 ] || [ -z $6 ]; then
  echo "Error: command parameters absent."
  exit 1
fi

cmd="${ORACLE_HOME}/$2 $3 $4 $5 $6"
shift 6

ret=`$cmd $@`
result=$?

ORG_IFS=$IFS
IFS=

echo -e $ret

IFS=${ORG_IFS}

exit $result
